%global debug_package %{nil}
Name:           topal
Version:        76
Release:        1%{?dist}
Summary:        A tool to encrypt, decrypt, sign and verify emails

License:        GPL-2.0
URL:            https://zircon.org.uk/topal/
Source0:        %{name}-package-%{version}.tgz
Patch0:         topal.patch

BuildRequires:  gcc-gnat readline-devel

%description
Topal is a "glue" program that links GnuPG and Pine/Alpine.
It offers facilities to encrypt, decrypt, sign and verify emails.

%prep
%autosetup -p1


%build
make \
        versionid.tex \
        BUILDDATE="`date -u -d '1970-01-01' '+%%Y-%%m-%%dT%%H%%M%%S%%Z'`"
ls -l --time-style=full-iso -t *.pdf *.tex || :
test -f topal.pdf && touch topal.pdf
make \
        binary \
        'DEBCFLAGS=%optflags -no-pie' \
        'DEBLDFLAGS=%optflags -no-pie' \
        BUILDDATE="`date -u -d '1970-01-01' '+%%Y-%%m-%%dT%%H%%M%%S%%Z'`"


%install
rm -rf $RPM_BUILD_ROOT
%make_install \
        INSTALLPATH=%{buildroot}/%{_prefix} \
        INSTALLPATHDOC=%{buildroot}/%{_docdir}/%{name} \
        BUILDDATE="`date -u -d '1970-01-01' '+%%Y-%%m-%%dT%%H%%M%%S%%Z'`"


%files
%{_bindir}/mime-tool
%{_bindir}/topal
%{_docdir}/topal
%{_mandir}/man1/mime-tool.1.gz
%{_mandir}/man1/topal.1.gz
%{_datadir}/topal


%changelog
* Fri Jun 06 2025 Eugene Misnik <eugene.misnik@habital.lv> - 76-1
- Build for RHEL 9

